Subject: Re: American Lobster, Homarus americanus

From: [email-masked] (Barry Murray)
Date: Fri, 26 May 1995 16:09:30 LOCAL

In article <[email-masked]> [email-masked] (Dale Dickhausen) writes:
>From: [email-masked] (Dale Dickhausen)
>Subject: American Lobster, Homarus americanus
>Date: 19 May 1995 12:17:29 GMT

>Can somebody on the net give me the latest information about research on
>the American Lobster found in the Northwest Atlantic? How big can they get?
>How long do they live? I'd like to hear from some lobster fishermen. I was
>out in Maine two years ago and was fasinated by these guys. 
>-- 
>Have a good day. 

A good popular reference book is  The Lobster Almanac, Bruce Ballenger, The 
Globe Pequot Press, 1988.  There are 217 pages, with major sections on Lobster 
Culture, Lobster Science, The Culinary Lobster, and The Lobster Trade.  Its a 
good read, fairly accurate, generally what it seems you're looking for.  
F.Y.I., I'm a lobster fisherman in the Gulf of St. Lawrence.

bmurray